
<!-- BEGIN head_element -->
{html_head}
{literal}

<script type="text/javascript">

window.onload = load;

function GereControle(Controleur, Controle, Masquer) {
var objControleur = document.getElementById(Controleur);
var objControle = document.getElementById(Controle);

	if (Masquer=='1')
		objControle.style.visibility=(objControleur.checked==true)?'visible':'hidden';
	else
		objControle.disabled=(objControleur.checked==true)?false:true;
	return true;
}


function load()
{
 GereControle('PlGallerieActived','PlTypeGallerie', 1);
}

</script>

{/literal}
{/html_head}
<!-- END head_element -->


<div class="titrePage">
  <h2>Piclens</h2>
</div>
<p>
Configuration du PlugIn Cooliris/Piclens
</p>
<form method="post" action="{$PICLENS_F_ACTION}" class="general">
<fieldset>
	<legend>Piclens</legend>

    <label>01 - <input type="checkbox" name="piclens_active" {$PICLENS_ACTIVATED}/> Activation du plugin Cooliris/Piclens </label>

    <br/>

    <label>02 - <input type="checkbox" name="piclens_recursive" {$PICLENS_RECURSIVE_ACTIVATED}/> Activation de la r&eacute;cursivit&eacute; sur les sous-cat&eacute;gories </label>
    <br/>

    <label>03 - <input type="checkbox" id="PlGallerieActived" name="piclens_gallerie_active" onclick="GereControle('PlGallerieActived','PlTypeGallerie', 1)" {$PICLENS_GALLERIE_ACTIVATED}/> Activation de Piclens sur toute la gallerie (sur l'accueil) </label></td>
    <label for="piclens_gallerie_type" id="PlType"></label>
      <select id="PlTypeGallerie" name="piclens_gallerie_type">
      <!-- BEGIN PlGallerie -->
		 {foreach from=$PlGallerie item=PlGallerie}
		  <option value="{$PlGallerie.ID}" {$PlGallerie.SELECTED}>{$PlGallerie.NAME}</option>
		{/foreach}
      <!-- END PlGallerie -->
	  </select>

    <br/>
    <label>04 - <input type="checkbox" name="piclens_lite_active" {$PICLENS_LITE_ACTIVATED}/> Activation de PiclensLite (version Piclens sans plugins) </label>

    <br/>
	
    <label>05 - <input type="checkbox" name="piclens_wall" {$PICLENS_WALL_ACTIVATED}/> Activation du mur Cooliris (3DWall) <u>! Attention : Besoin d'"activation de piclens sur toute la gallerie" (option 03)</u> </label>
	<br>   <i><b>Important pour que 3DWall fonctionne :</b> Il est necessaire de copier le fichier <a href={$CROSSDOMAIN_LNK}>cross-domain.xml</a> a la racine du site (ou modifier le fichier existant)</i>
    <br/>

	<div {$PICLENS_SECUREIMAGE_DIV}>
	<fieldset>
		<legend>Compatibilit&eacute; avec <b>SecureImage</b></legend>

  {$PICLENS_SECUREIMAGE}
  <br/>
  <label><input type="checkbox" name="piclens_secureimage" {$PICLENS_SECUREIMAGE_ACTIVATED}/> Activation de la compatibilit&eacute; avec le Plugins <b><u><i>SecureImage</i></u></b> </label>
  </fieldset>
  </div>

     <br/>
<div>
<fieldset>
	<legend>06 - Extensions Affich&eacute;es</legend>

    <legend>Utilisation des extensions suivantes </legend>
    <select name="file_types[]" multiple="multiple" >
      <!-- BEGIN file_types -->
	  {foreach from=$file_types item=file_types}
      <option {$file_types.SELECTED} value="{$file_types.VALUE}">{$file_types.OPTION}</option>
	  {/foreach}
      <!-- END file_types -->
    </select> <legend>(multiple [de]selection avec la touche Ctrl)</legend>
</fieldset>

</div>

<div>
<TABLE border="0" CELLPADDING="3"  ALIGN="LEFT" style="width:95%;">


	<TR>
		<TD > 
		    <label for="piclens_thumb" id="PlThumb">07 - Type d'image utilis&eacute; pour les miniatures Piclens</label>
		</TD > 
		<TD > 		
		    <select id="PlThumbInput" name="piclens_thumb">
		      <!-- BEGIN PlThumb -->
	  {foreach from=$PlThumb item=PlThumb}
			<option value="{$PlThumb.ID}" {$PlThumb.SELECTED}>{$PlThumb.NAME}</option>
	  {/foreach}
		      <!-- END PlTumb -->
		      </select>

		</TD>
	</TR>
	<TR>
		
		<TD > 
			<label for="piclens_normal" id="PlNormal">08 - Type d'image utilis&eacute; pour les affichages Piclens</label>
		</TD > 
		<TD > 		
		      <select id="PlNormalInput" name="piclens_normal">
		      <!-- BEGIN PlNormal -->
	  {foreach from=$PlNormal item=PlNormal}
			<option value="{$PlNormal.ID}" {$PlNormal.SELECTED}>{$PlNormal.NAME}</option>
	  {/foreach}
		      <!-- END PlTumb -->
		      </select>
		
		</TD>
	</TR>
	<TR>

		<TD > 
			<label for="piclens_order" id="PlLabel">09 - Ordre d'affichage des photos dans Piclens</label>
		</TD > 
		<TD > 		
		      <select id="PlInput" name="piclens_order">
		      <!-- BEGIN PlOrder -->
	  {foreach from=$PlOrder item=PlOrder}
			<option value="{$PlOrder.ID}" {$PlOrder.SELECTED}>{$PlOrder.NAME}</option>
	  {/foreach}
		      <!-- END PlOrder -->
		      </select>

		</TD>
	</TR>
	<TR>
		<TD > 
			<label for="piclens_sort" id="PlSort">10 - Sens du tri dans Piclens</label>		
		</TD > 
		<TD > 		
		      <select id="Plsort" name="piclens_sort">
		      <!-- BEGIN PlSort -->
	  {foreach from=$PlSort item=PlSort}
			<option value="{$PlSort.ID}" {$PlSort.SELECTED}>{$PlSort.NAME}</option>
	  {/foreach}
		      <!-- END PlSort -->
		      </select>
		
		</TD>

	</TR>
	<TR>
		<TD > 
			<label for="piclens_name_image" id="PlName">11 - Nom des images dans Piclens</label>		
		</TD > 
		<TD > 		
		      <select id="Plname" name="piclens_name_image">
	  {foreach from=$PlName item=PlName}
			<option value="{$PlName.ID}" {$PlName.SELECTED}>{$PlName.NAME}</option>
	  {/foreach}
		      </select>
		
		</TD>

	</TR>
	<TR>
		<TD > 
			<label for="piclens_name_desc" id="PlName">12 - Description des images dans Piclens</label>		
		</TD > 
		<TD > 		
		      <select id="Pldesc" name="piclens_name_desc">
	  {foreach from=$PlDesc item=PlDesc}
			<option value="{$PlDesc.ID}" {$PlDesc.SELECTED}>{$PlDesc.NAME}</option>
	  {/foreach}
		      </select>
		
		</TD>

	</TR>


</TABLE> 
</div>
    


	<br/>
</fieldset>
 
<p><input type="submit" name="submit" value="Enregistrer" /></p>

</form>
